GCubeGisViewerServletImpl (gCube GIS Viewer Widget 2.0.0-SNAPSHOT API)
Date: 2013-07-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.gcubegisviewer.server
Class GCubeGisViewerServletImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl
                          org.gcube.portlets.user.gcubegisviewer.server.GCubeGisViewerServletImpl

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, GCubeGisViewerService, org.gcube.portlets.user.gisviewer.client.GisViewerService

    public class GCubeGisViewerServletImpl

extends org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl
implements GCubeGisViewerService

Author:
  "Federico De Faveri defaveri@isti.cnr.it"
See Also:
  Serialized Form

Field Summary
`static long` | `CACHE_REFRESH_TIME`
`static String` | `GEOCALLER_ATTRIBUTE_NAME`
`static String` | `GEONETWORK_RESOURCE_NAME`
`static String` | `GEOSERVER_RESOURCE_NAME`
`static org.gcube.common.core.utils.logging.GCUBEClientLog` | `log`
`protected org.apache.log4j.Logger` | `logger`
`protected Map<org.gcube.common.core.scope.GCUBEScope,org.gcube.portlets.user.gisviewer.server.GisViewerServiceParameters>` | `parametersCache`
`protected Timer` | `timer`
`static String` | `TRANSECT_RESOURCE_NAME`
`static String` | `USERNAME_ATTRIBUTE`

Fields inherited from class org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl
`BASE_LAYER, researchMethod`

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`GCubeGisViewerServletImpl()`

Method Summary
`void` | `destroy()`
`protected org.gcube.application.framework.core.session.ASLSession` | `getASLSession(javax.servlet.http.HttpSession httpSession)`
`protected org.gcube.common.geoserverinterface.GeoCaller` | `getGeoCaller()`
`protected org.gcube.portlets.user.gisviewer.server.GisViewerServiceParameters` | `getParameters()`
`protected ServerParameters` | `getParameters(org.gcube.common.core.scope.GCUBEScope scope, String resourceName)`
`protected String` | `getTransectUrl(org.gcube.common.core.scope.GCUBEScope scope, String resourceName)`
`void` | `init()`
`static void` | `main(String[] args)`
`protected void` | `refreshParametersCache()`
`protected org.gcube.portlets.user.gisviewer.server.GisViewerServiceParameters` | `retrieveGisParameters(org.gcube.common.core.scope.GCUBEScope scope)`
`void` | `saveLayerItem(String name, String mimeType, String url, String destinationFolderId)`
`void` | `saveMapImageItem(String name, String mimeType, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs, String destinationFolderId)`

Methods inherited from class org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl
`getDataResult, getDataResult, getGroupsInfo, getLayersInfo, getLayersInfoByLayerItems, getTransectUrl`

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gcube.portlets.user.gisviewer.client.GisViewerService
`getDataResult, getDataResult, getGroupsInfo, getLayersInfo, getLayersInfoByLayerItems, getTransectUrl`

Field Detail

### USERNAME_ATTRIBUTE

    public static final String USERNAME_ATTRIBUTE

See Also:
  Constant Field Values

### GEOSERVER_RESOURCE_NAME

    public static final String GEOSERVER_RESOURCE_NAME

See Also:
  Constant Field Values

### GEONETWORK_RESOURCE_NAME

    public static final String GEONETWORK_RESOURCE_NAME

See Also:
  Constant Field Values

### TRANSECT_RESOURCE_NAME

    public static final String TRANSECT_RESOURCE_NAME

See Also:
  Constant Field Values

### GEOCALLER_ATTRIBUTE_NAME

    public static final String GEOCALLER_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### CACHE_REFRESH_TIME

    public static final long CACHE_REFRESH_TIME

See Also:
  Constant Field Values

### log

    public static org.gcube.common.core.utils.logging.GCUBEClientLog log

### parametersCache

    protected Map<org.gcube.common.core.scope.GCUBEScope,org.gcube.portlets.user.gisviewer.server.GisViewerServiceParameters> parametersCache

### logger

    protected org.apache.log4j.Logger logger

### timer

    protected Timer timer

Constructor Detail

### GCubeGisViewerServletImpl

    public GCubeGisViewerServletImpl()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### getASLSession

    protected org.gcube.application.framework.core.session.ASLSession getASLSession(javax.servlet.http.HttpSession httpSession)

### getParameters

    protected ServerParameters getParameters(org.gcube.common.core.scope.GCUBEScope scope,
                                             String resourceName)
                                      throws Exception

  Throws:
    `Exception`

### getTransectUrl

    protected String getTransectUrl(org.gcube.common.core.scope.GCUBEScope scope,
                                    String resourceName)
                             throws Exception

  Throws:
    `Exception`

### retrieveGisParameters

    protected org.gcube.portlets.user.gisviewer.server.GisViewerServiceParameters retrieveGisParameters(org.gcube.common.core.scope.GCUBEScope scope)
                                                                                                 throws Exception

  Throws:
    `Exception`

### getParameters

    protected org.gcube.portlets.user.gisviewer.server.GisViewerServiceParameters getParameters()
                                                                                         throws Exception

  Specified by:
    `getParameters` in class `org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl`
  Throws:
    `Exception`

### refreshParametersCache

    protected void refreshParametersCache()

### getGeoCaller

    protected org.gcube.common.geoserverinterface.GeoCaller getGeoCaller()
                                                                  throws Exception

  Overrides:
    `getGeoCaller` in class `org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl`
  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws org.gcube.common.core.scope.GCUBEScope.MalformedScopeExpressionException,
                            Exception

  Throws:
    `org.gcube.common.core.scope.GCUBEScope.MalformedScopeExpressionException`
    `Exception`

### saveLayerItem

    public void saveLayerItem(String name,
                              String mimeType,
                              String url,
                              String destinationFolderId)
                       throws Exception

  Specified by:
    `saveLayerItem` in interface `GCubeGisViewerService`
  Throws:
    `Exception`

### saveMapImageItem

    public void saveMapImageItem(String name,
                                 String mimeType,
                                 String bbox,
                                 String width,
                                 String height,
                                 String[] geoservers,
                                 String[] layers,
                                 String[] styles,
                                 String[] opacities,
                                 String[] cqlfilters,
                                 String[] gsrefs,
                                 String destinationFolderId)
                          throws Exception

  Specified by:
    `saveMapImageItem` in interface `GCubeGisViewerService`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.